Loading...
Searching...
No Matches
Opm::Action::State::MatchSet Class Reference

Matching entities from a successfully triggered ActionX object. More...

`#include <State.hpp>`

## Public Member Functions

bool | hasWell (const std::string &well) const
| Whether or not a particular well exists in the set of matching entities.
bool | operator== (const MatchSet &that) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static MatchSet | serializationTestObject ()
| Create a serialisation test object.

## Friends

class | State

## Detailed Description

Matching entities from a successfully triggered ActionX object.

## Member Function Documentation

## hasWell()

bool Opm::Action::State::MatchSet::hasWell | ( | const std::string & | well | ) | const

Whether or not a particular well exists in the set of matching entities.

Parameters

  [in] | well | Well name.

Returns
  Wheter or not `well` exists in the set of matching entities.

## operator==()

bool Opm::Action::State::MatchSet::operator== | ( | const MatchSet & | that | ) | const

Equality predicate.

Parameters

  [in] | that | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `that`.

## serializeOp()

template<class Serializer>

void Opm::Action::State::MatchSet::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Action/State.hpp
- opm/input/eclipse/Schedule/Action/State.cpp